Bug 468974 - (CVE-2008-4775) CVE-2008-4775 phpMyAdmin: XSS issue in pmd_pdf.php via db parameter with register_globals enabled
CVE-2008-4775 phpMyAdmin: XSS issue in pmd_pdf.php via db parameter with regi...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
http://nvd.nist.gov/nvd.cfm?cvename=C...
source=cve,public=20081027,impact=low...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-29 06:22 EDT by Tomas Hoger
Modified: 2016-03-04 07:37 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-16 04:59:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2008-10-29 06:22:06 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2008-4775 to the following vulnerability:

Cross-site scripting (XSS) vulnerability in pmd_pdf.php in phpMyAdmin
3.0.0, and possibly other versions including 2.11.9.2 and 3.0.1, when
register_globals is enabled, allows remote attackers to inject
arbitrary web script or HTML via the db parameter, a different vector
than CVE-2006-6942 and CVE-2007-5977.

References:
http://www.securityfocus.com/archive/1/archive/1/497815/100/0/threaded
http://www.securityfocus.com/bid/31928
http://secunia.com/advisories/32449
Comment 1 Robert Scheck 2008-10-30 18:04:08 EDT
613 (phpMyAdmin): Build on target fedora-4-epel succeeded.
612 (phpMyAdmin): Build on target fedora-5-epel succeeded.

phpMyAdmin-3.0.1.1-1.fc10 Tag: dist-f10-updates-candidate Status: complete
phpMyAdmin-3.0.1.1-1.fc9 Tag: dist-f9-updates-candidate Status: complete
phpMyAdmin-3.0.1.1-1.fc8 Tag: dist-f8-updates-candidate Status: complete
Comment 2 Fedora Update System 2008-10-30 18:09:09 EDT
phpMyAdmin-3.0.1.1-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/phpMyAdmin-3.0.1.1-1.fc9
Comment 3 Fedora Update System 2008-10-30 18:09:15 EDT
phpMyAdmin-3.0.1.1-1.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/phpMyAdmin-3.0.1.1-1.fc8
Comment 4 Fedora Update System 2008-10-31 06:24:11 EDT
phpMyAdmin-3.0.1.1-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2008-10-31 06:27:24 EDT
phpMyAdmin-3.0.1.1-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Red Hat Product Security 2008-11-16 04:59:58 EST
This issue was addressed in:

Fedora:
  https://admin.fedoraproject.org/updates/F8/FEDORA-2008-9336
  https://admin.fedoraproject.org/updates/F9/FEDORA-2008-9316

Note You need to log in before you can comment on or make changes to this bug.